
TYPO3.Flow - Bug # 3404

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category: MVC
Created: 2009-05-21 Assigned To: Bastian Waidelich
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Refactor ControllerContext to be built only before passing it to the View
Description

$this->controllerContext should not be available in the Controller, but just be passed on to the View.

There is one question remaining: Should the URIHelper / URIBuilder get this whole object, or just the Request object?

Greets,
Sebastian

Associated revisions
Revision 7030ab49 - 2009-05-23 18:51 - Bastian Waidelich
FLOW3:
    -  Removed FLOW3\Utility\GenericCollection from repository, it's currently not needed. Resolves #3400
    -  Moved method setArgumentsFromRawRequestData() from Router to RequestBuilder. Resolves #3368
    -  Renamed URIHelper to URIBuilder. Removed Classes HelperInterface, AbstractHelper and InvalidViewHelper Exception. Adapted AbstractView &
ViewInterface. Resolves #3303
    -  Added section parameter to URIFor() method of the URIBuilder
    -  Refactored Base controllers - controllerContext is no instance variable anymore and will be created when passed to view in initializeView().
Resolves #3404
    -  ControllerContext is of scope prototype now. Added setter/getter for URIBuilder. Some cosmetic changes.
    -  Added getRequestPath() to Request.
    -  ControllerKeys (@controller, @action, @package, @subpackage and @format) can now be set by request arguments. Resolves #2853

History
#1 - 2009-05-21 11:06 - Sebastian Kurfuerst
- Status changed from Accepted to New

#2 - 2009-05-22 15:35 - Bastian Waidelich
- Assigned To changed from Sebastian Kurfuerst to Bastian Waidelich

We decided to rename setupControllerContext() to buildControllerContext(). The instance variable $controllerContext will be removed from
AbstractController.

#3 - 2009-05-23 18:22 - Bastian Waidelich

There is one question remaining: Should the URIHelper / URIBuilder
get this whole object, or just the Request object?
The URIBuilder does not contain the controllerContext. The controllerContext contains an instance of URIBuilder.

#4 - 2009-05-23 19:00 - Bastian Waidelich
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r2344.
